Subject: Re: bug#13225: 24.3.50; Non-selected window has not mode-line-inactive face

From: martin rudalics <[email-masked]>
Date: Thu, 20 Dec 2012 18:25:03 +0100

> Here's the connection: in order for the redisplay code to use the proper
 > value of (frame-local) variables, it needs to `select-frame' on the
 > frame being redisplayed.

Ahh, sure.

 > Actually, now that I think about it, maybe the right fix is to remove
 > this ensure_selected_frame.  It would be one more step towards removing
 > frame-local variables (just like we already disallowed variables that
 > are both buffer-local and frame-local), but still without removing them
 > altogether.  After all, I don't think that the existing uses of
 > frame-local vars affect the redisplay.
 >
 > I've just made this change.

So we can be sure that redisplay now nowhere changes the selected frame
or the selected window?

martin